./www/py-recaptcha, Plugin for reCAPTCHA and reCAPTCHA Mailhide

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.0.6, Package name: py27-recaptcha-1.0.6, Maintainer: pkgsrc-users

Provides a CAPTCHA for Python using the reCAPTCHA service. Does not require
any imaging libraries because the CAPTCHA is served directly from reCAPTCHA.
Also allows you to securely obfuscate emails with Mailhide. This functionality
requires pycrypto. This library requires two types of API keys. If you'd like
to use the CAPTCHA, you'll need a key from http://recaptcha.net/api/getkey.
For Mailhide, you'll need a key from http://mailhide.recaptcha.net/apikey.

WWW: http://cheeseshop.python.org/pypi/recaptcha-client


Required to run:
[devel/py-setuptools] [lang/python27]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 661317355af7a2985c9011b6efa026b7178e9917
RMD160: 7dffe66b7fd37f5be2a7d7b2bf24c3978f46c8e9
Filesize: 7.216 KB

Version history: (Expand)


CVS history: (Expand)


   2019-11-04 23:10:16 by Roland Illig | Files touched by this commit (243)
Log message:
www: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

Manually excluded phraseanet since pkglint got the indentation wrong.
   2019-09-02 15:20:22 by Adam Ciarcinski | Files touched by this commit (415)
Log message:
Changed PYTHON_VERSIONS_INCOMPATIBLE to PYTHON_VERSIONS_ACCEPTED; needed for \ 
future Python 3.8
   2019-04-26 15:14:25 by Maya Rashish | Files touched by this commit (473)
Log message:
Omit mentions of python 34 and 35, after those were removed.

- Includes some whitespace changes, to be handled in a separate commit.
   2018-07-03 07:03:44 by Adam Ciarcinski | Files touched by this commit (495)
Log message:
extend PYTHON_VERSIONS_ for Python 3.7
   2017-01-01 15:44:09 by Thomas Klausner | Files touched by this commit (577)
Log message:
Add python-3.6 to incompatible versions.
   2016-07-09 15:04:18 by Thomas Klausner | Files touched by this commit (599)
Log message:
Remove python33: adapt all packages that refer to it.
   2016-06-08 19:43:49 by Thomas Klausner | Files touched by this commit (356)
Log message:
Switch to MASTER_SITES_PYPI.
   2015-12-16 07:03:40 by D'Arcy J.M. Cain | Files touched by this commit (1)
Log message:
Package doesn't work on any Python 3.x versions so far.